• Welcome to Simple Machines Community Forum. Please login or sign up.
January 24, 2022, 06:58:36 AM

News:

Join the Facebook Fan Page.


SMF 1.1.14 has been released

Started by Norv, June 11, 2011, 05:32:34 PM

Previous topic - Next topic

Stormfront

How to upgrade from SMF 1.1.13 to 1.1.14? No automatic update it?  :(
Bulgarian nationalist forum http://www.forum.bg-nacionalisti.org/index.php SMF 2.0.1 Final

Apllicmz

thank you...now 2.0 1.1.14 bye bye

Quote from: Stormfront on June 12, 2011, 03:27:15 AM
How to upgrade from SMF 1.1.13 to 1.1.14? No automatic update it?  :(

check it read

Upgrade automatically by visiting your Administration Center, where a notice will be displayed prompting you to upgrade. Click the link, confirm the changes and your forum will be up to date again. Additionally, you can upgrade using the package manager by downloading the SMF 1.1.13 to SMF 1.1.14 upgrade package from Package Manger Updates section, uploading it to the Package Manager, and applying it as prompted. For help with this refer to the Package Manager section of the Online Manual.




Amacythe

Congrats on the releases (both this one and Gold)

But...

Is there a reason the 1.1.14 release still states
QuotePowered by SMF 1.1.14 | SMF © 2006-2011, Simple Machines LLC
?

The LLC has nothing to do with this project anymore.


ddabcd277

Just installed 1.1.14. Seems ok. Thanks for the update guys.  :)

I understand from the comments above and on other places that 2.0 is the better choice and recommended, even on the admin panel it is redirecting now to 2.0, but I still pluck up courage to update to 2.0. I am afraid not to brake my forum. Why not possible in the similar way update from 1.1.x to 2.0? Some kind of an automatic update?

Cheers,

Masterd

Quote from: Amacythe on June 12, 2011, 04:23:53 AM
Congrats on the releases (both this one and Gold)

But...

Is there a reason the 1.1.14 release still states
QuotePowered by SMF 1.1.14 | SMF © 2006-2011, Simple Machines LLC
?

The LLC has nothing to do with this project anymore.

Quote from: Kindred on June 11, 2011, 07:03:50 PM
2.0 is released under the BSD license.
1.0.x and 1.1.x will remain under the proprietary SMF license.

Amacythe

Masterd, the license has nothing to do with the copyright statement.  The NPO holds BOTH licenses.

Antechinus

Good point. Someone forgot that bit, obviously, and just used the same old index.php edit.

qtime


sharks

So, LLC is completely out of the picture for both 2.0 and 1.1.x?
I have been asking about this last night when the releasing process was under-way but didn't get any answer.
I found it strange that 2.0 would become NPO and not 1.1.x

NISHIKI

Quote from: Norv on June 11, 2011, 05:32:34 PM
Please note:
As of today, 1.1.14 is no longer the stable branch of SMF, as SMF 2.0 is being released as we speak. 1.1.14 will remain in maintenance stage, and it will continue to be supported for security and major/critical functionality fixes, only it will not receive new features, nor minor bug fixes or improvements.
How long days you maintain 1.1.14 ???
Give me your plan please.(same as OS software style?)

Adish - (F.L.A.M.E.R)

Well, as you can see, we still maintain SMF 1.0.x branch. So, there is no ETA regarding the drop of SMF 1.1.x branch support as of now. :)

a10

Thanks, upgraded & everything looks fine.
2.0.18, php 7.4.26, MariaDB 10.3.32. Mods: Contact Page, Like Posts, Responsive Curve, Search Focus Dropdown, Add Join Date to Post.

Kindred

Quote from: Kindred on June 11, 2011, 07:03:50 PM
BTW: Just to clarify for sharks and Dr...

NPO is the organizational structure... The Simple Machines organization (NPO) now owns all properties, trademarks, etc that the LLC used to own.

2.0 is released under the BSD license.
1.0.x and 1.1.x will remain under the proprietary SMF license.


NPO and LLC <> license....

Why does no one actually READ what I write?

Sharks, I answered you very clearly, yesterday
Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

Norv

Quote from: NISHIKI on June 12, 2011, 07:56:23 AM
Quote from: Norv on June 11, 2011, 05:32:34 PM
Please note:
As of today, 1.1.14 is no longer the stable branch of SMF, as SMF 2.0 is being released as we speak. 1.1.14 will remain in maintenance stage, and it will continue to be supported for security and major/critical functionality fixes, only it will not receive new features, nor minor bug fixes or improvements.
How long days you maintain 1.1.14 ???
Give me your plan please.(same as OS software style?)

Today, we maintain 3 branches of SMF: 1.0, 1.1 and 2.0, for security and major/critical functionality fixes on supported platforms.

At some point we intend to drop maintenance for 1.0.x (stable released in 2004) - please note: 1.0, not 1.1. That old branch is STILL maintained as of today.
The intention as of now is like this:
- we will announce the start of the process, for 1.0 forums, and 1.0 forums will have at least 6 months (or more) to upgrade from that moment, until that branch (1.0) hits end of life. The announcement will be made on this forum, email, admin panel, at least, possibly download or dev page as well.
- during those 6+ months, 1.0 is still an active branch, and will continue to receive security and critical functionality updates. (i.e. these days we implemented MySQL 5.5 compatibility for 1.0, too, not only 1.1, not only 2.0).
- after that time, the 1.0 branch will reach end of life.

Please note again: we're talking about 1.0, which is still maintained as well as 1.1.x.

SMF 1.1.x will of course be supported far longer than that. SMF 1.1 stable was released in 2006. (yes, 2006). I believe that around or after the release of the NEXT stable version of SMF, 2.1 or 3.0 (whichever comes first :) - j/k), we will take into account to start a similar process for 1.1 branch. So for 1.1.x line, we're talking about of a further maintenance stage at least for:
- next stable release (2.1)
- plus 6 months from there, or more.
- possible end of life.

I say "possible" because the process will be open every step of the way to feedback from the community. Given the long time 1.1.x has been the only popular stable version, and it is very popular, and the fact that not everyone may even wish to upgrade, I expect we will maintain it for a long time. :)
When 1.1.x may reach end of life is up to you, to tell us, directly or indirectly. In time, we will see how much it will be used, how much are patches downloaded, how much support is asked, if discussions around it are raised. That says something, and we'll take it into account. Just about nobody seems to remember today 1.0, and that says something as well. :)
To-do lists are for deferral. The more things you write down the later they're done... until you have 100s of lists of things you don't do.

File a security report | Developers' Blog | Bug Tracker


Also known as Norv on D* | Norv N. on G+ | Norv on Github

Kenny01


lucas-ruroken

Adk Portal 3.1 is coming....

Design your universe!

DarkAngel612

thanks for the update to 1.11+ and sorry to hear that it will be the end of it soon too cause I do not use or plan to switch to smf 2.0 yet, if at all.

but I do manage a site with 2.0 rc5---is 2.0 gold to be installed on top of this one?

for some odd reason some of my forums are not sowing the admin link for updating tp 1.1.14
Fantasy Attic ::  Fantasies Realm Market :: SMF 2.0+ with various mods and TinyPortal

mashby

Quote from: DarkAngel612 on June 12, 2011, 09:09:20 PM
thanks for the update to 1.11+ and sorry to hear that it will be the end of it soon too cause I do not use or plan to switch to smf 2.0 yet, if at all.

but I do manage a site with 2.0 rc5---is 2.0 gold to be installed on top of this one?

for some odd reason some of my forums are not sowing the admin link for updating tp 1.1.14
You don't really have to update to 2.0. Ain't broke, don't fix it!

To see the update link, click the Packages link. You'll see the link to update in there.
Always be a little kinder than necessary.
- James M. Barrie

DarkAngel612

great cause I am just getting so I can edit the php files and kno where i can put what to show where i wish it to show and...looking at the 2.0 files has boggled my mind...they look so different. eventually we may go to 2.0 especially if the themes and such get as diversified as the ones now cause I don't want to lose them...maybe the theme designers will update 1.1.4 themes for 2.0 as well as a more stable Tiny Portal
Fantasy Attic ::  Fantasies Realm Market :: SMF 2.0+ with various mods and TinyPortal

NISHIKI

Quote from: Norv on June 12, 2011, 11:10:15 AM
Today, we maintain 3 branches of SMF: 1.0, 1.1 and 2.0, for security and major/critical functionality fixes on supported platforms.
////////////////////////////////////////////////////
When 1.1.x may reach end of life is up to you, to tell us, directly or indirectly. In time, we will see how much it will be used, how much are patches downloaded, how much support is asked, if discussions around it are raised. That says something, and we'll take it into account. Just about nobody seems to remember today 1.0, and that says something as well. :)

Great!  ;D

Advertisement: